# QVM: Quaternions, Vectors, Matrices

### zero_vec

#include <boost/qvm/vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <class T,int S>
            -unspecified-return-type- zero_vec();
        }
    }

#### Returns:

A read-only vector of unspecified type with scalar_type T and size S, with all elements equal to scalar_traits<T>::value(0).

See also: boost/qvm/vec_operations.hpp | set_zero(vec)